View Issue Details

IDProjectCategoryView StatusLast Update
0034562LazarusIDEpublic2019-01-21 13:10
ReporterJoe careAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86-64OSWin64OS Version10
Product Version2.0RC2Product Build 
Target VersionFixed in Version 
Summary0034562: Object-Inspector (F11): Component-tree hides component-values
DescriptionThe Component-tree can get so tall that there are no Component-values.
There is a slider(splitter) but that doesn't work.
  
Steps To ReproduceStart Lazarus in a HighDPI-Environment e.G: 4K
Open and adjust the Object-Inspector to 2/3 for Tree 1/3 for the Values.
Close Lazarus
Set screen to FullHD
Open Lazarus
Open Object-Inspector.
--> No Values
(When disabling the Component-tree then viola here are your values but no tree,
  when enabling the tree again -> no values )
Additional InformationMaybe the problem is older than 2.0rc2
It's extremely painful when the 4k-Environment was a remote-session, because you can't switch to a higher resolution.
--
A possible solution would be to store the height perceptually.
Or declare a dynamic maximum-height so that the values are not fully hidden under the window-edge.
TagsNo tags attached.
Fixed in Revisionr59803
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2018-11-17 11:19

developer   ~0112014

> Set screen to FullHD

Does it mean you set font scaling for FullHD but the screen resolution remains the same?
I would imagine the component tree leaves even more space for the values if resolution went up.

Joe care

2018-11-18 17:14

reporter   ~0112047

Last edited: 2018-11-18 17:17

View 2 revisions

at 4K I use a Scaling factor of 125%
at FullHD I use a Scaling Factor of 100%
e.G: imagine you lend a 4K-monitor for testing, adjusted everything to work with it for a while and after that you reattach your trusty old FullHD-Monitor.

--
You can see what happened when you undock the Object-inspector
and resize the Window vertically over the point when the Values are no longer visible. Than you have no other chance than to resize the window again.
Then imagine the resizing is done by the system, then you are stuck.

Juha Manninen

2018-11-18 20:22

developer   ~0112055

Ok, I understand. FullHD resolution is smaller than the original one. It sounds like a high resolution and I did not think about it.

Juha Manninen

2018-12-12 14:52

developer   ~0112508

Please test with r59803.

Juha Manninen

2018-12-23 22:41

developer   ~0112844

Last edited: 2019-01-12 20:28

View 2 revisions

Ping... and ping again ... why don't you give feedback?

Juha Manninen

2019-01-21 13:10

developer   ~0113547

No feedback. I assume this is fixed.

Issue History

Date Modified Username Field Change
2018-11-17 08:11 Joe care New Issue
2018-11-17 11:19 Juha Manninen Note Added: 0112014
2018-11-18 12:11 Juha Manninen LazTarget => -
2018-11-18 12:11 Juha Manninen Assigned To => Juha Manninen
2018-11-18 12:11 Juha Manninen Status new => feedback
2018-11-18 17:14 Joe care Note Added: 0112047
2018-11-18 17:14 Joe care Status feedback => assigned
2018-11-18 17:17 Joe care Note Edited: 0112047 View Revisions
2018-11-18 20:22 Juha Manninen Note Added: 0112055
2018-12-12 14:52 Juha Manninen Note Added: 0112508
2018-12-12 14:52 Juha Manninen Status assigned => feedback
2018-12-23 22:41 Juha Manninen Note Added: 0112844
2019-01-12 20:28 Juha Manninen Note Edited: 0112844 View Revisions
2019-01-21 13:10 Juha Manninen Fixed in Revision => r59803
2019-01-21 13:10 Juha Manninen Note Added: 0113547
2019-01-21 13:10 Juha Manninen Status feedback => resolved
2019-01-21 13:10 Juha Manninen Resolution open => fixed